summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo2018-06-07 17:54:41 +0200
committer David Spencer2018-06-07 17:54:41 +0200
commit24fac8ac052163893b1d45f533ca1c89ade57821 (patch)
tree619faaf5a15f0d0818d8126d7dcb90a9fb63b871
parentea79f494c9239104a726dd9300a6c19bfeda45fa (diff)
downloadold.slackbuilds-24fac8ac052163893b1d45f533ca1c89ade57821.tar.gz
graphics/goocanvas2: Added (Cairo Canvas Widget for GTK+).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--graphics/goocanvas2/README4
-rw-r--r--graphics/goocanvas2/goocanvas2.SlackBuild101
-rw-r--r--graphics/goocanvas2/goocanvas2.info10
-rw-r--r--graphics/goocanvas2/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/graphics/goocanvas2/README b/graphics/goocanvas2/README
new file mode 100644
index 0000000000..3b9c588b08
--- /dev/null
+++ b/graphics/goocanvas2/README
@@ -0,0 +1,4 @@
+GooCanvas is a canvas widget for GTK+ that
+uses the cairo 2D library for drawing.
+
+This is the 2.x version.
diff --git a/graphics/goocanvas2/goocanvas2.SlackBuild b/graphics/goocanvas2/goocanvas2.SlackBuild
new file mode 100644
index 0000000000..e033f224c4
--- /dev/null
+++ b/graphics/goocanvas2/goocanvas2.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Copyright 2018 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=goocanvas2
+SRCNAM=goocanvas
+VERSION=${VERSION:-2.0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --mandir=/usr/man \
+ --disable-static \
+ --enable-shared \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+mkdir -p $PKG/usr/doc/$SRCNAM-$VERSION
+cd $TMP/$SRCNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO $PKG/usr/doc/$SRCNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$SRCNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/goocanvas2/goocanvas2.info b/graphics/goocanvas2/goocanvas2.info
new file mode 100644
index 0000000000..eebeb5ae43
--- /dev/null
+++ b/graphics/goocanvas2/goocanvas2.info
@@ -0,0 +1,10 @@
+PRGNAM="goocanvas2"
+VERSION="2.0.4"
+HOMEPAGE="https://wiki.gnome.org/Projects/GooCanvas"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/goocanvas/2.0/goocanvas-2.0.4.tar.xz"
+MD5SUM="a603f9459d29348b88ba3592bca03274"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"
diff --git a/graphics/goocanvas2/slack-desc b/graphics/goocanvas2/slack-desc
new file mode 100644
index 0000000000..e572a93ef8
--- /dev/null
+++ b/graphics/goocanvas2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+goocanvas2: goocanvas2 (Cairo Canvas Widget for GTK+)
+goocanvas2:
+goocanvas2: GooCanvas is a new canvas widget for GTK+ that uses the cairo 2D
+goocanvas2: library for drawing. It has a model/view split, and uses interfaces
+goocanvas2: for canvas items and views, so you can easily turn any application
+goocanvas2: object into canvas items.
+goocanvas2:
+goocanvas2: homepage: https://wiki.gnome.org/Projects/GooCanvas
+goocanvas2:
+goocanvas2: This is the new 2.x version.
+goocanvas2: